# SecureRTP_UDP Class Reference

`#include <rtp.h>`

Inheritance diagram for SecureRTP_UDP:

[legend]
Collaboration diagram for SecureRTP_UDP:
[legend]

## Construction

| SecureRTP_UDP (const Params &options)
| ~SecureRTP_UDP ()
| Destroy the RTP.
virtual void | SetSecurityMode (OpalSecurityMode *srtpParms)
virtual OpalSecurityMode * | GetSecurityParms () const
OpalSecurityMode * | securityParms

## Constructor & Destructor Documentation

SecureRTP_UDP::SecureRTP_UDP | ( | const Params & | options | ) |

Create a new RTP channel.

Parameters:

  options | Parameters to construct with session.

SecureRTP_UDP::~SecureRTP_UDP | ( |  | ) |

Destroy the RTP.

## Member Function Documentation

virtual OpalSecurityMode* SecureRTP_UDP::GetSecurityParms | ( |  | ) | const`[virtual]`

virtual void SecureRTP_UDP::SetSecurityMode | ( | OpalSecurityMode * | srtpParms | ) | `[virtual]`

## Field Documentation

OpalSecurityMode* SecureRTP_UDP::securityParms `[protected]`

The documentation for this class was generated from the following file:

- rtp.h